> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# comptr

> GenericMDOProvider reads MDO lists with default settings

## "comptr" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'comptr'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/comptr
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("comptr", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name           | StyleHint | ExtraInfo |
| -- | -------------- | --------- | --------- |
| 4  | "Dobbelfnutt   |           |           |
| 3  | \*Star Company |           |           |
| 2  | 800 Grader     |           |           |
| 1  | Ülwa Nowèn AB  |           |           |

## Related MDO Lists

* "comptrheadings"
* "comptrheadingswithallitem"
* "comptrheadingswithallitemwithnoselection"
* "comptrheadingswithnoselection"
* "comptrwithallitem"
* "comptrwithallitemwithnoselection"
* "comptrwithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.UserPreferenceStrings.MDOList](/en/api/reference/webapi/SuperOffice.WebApi.Data.UserPreferenceStrings.MDOList.md)
- [Comptr table](/en/database/tables/comptr.md)
- [ComptrGroupLink table](/en/database/tables/comptrgrouplink.md)
- [ComptrHeadingLink table](/en/database/tables/comptrheadinglink.md)
- [RejectReasonGroupLink table](/en/database/tables/rejectreasongrouplink.md)
- [Get M D O List](/en/api/reference/restful/rest/list_competitor/get-m-d-o-list.md)
